OpenCasCade(五) 几何对象

1   几何对象                                                     
1.1    对象描述

 

1.2     基础几何对象

    

1.3     实例说明

例1:创建一个椭圆,形成拓扑边,并显示

OCgp_Elips Elips = new OCgp_Elips();

OCTopoDS_Edge Edge1 = new OCBRepBuilderAPI_MakeEdge(Elips, 0, 2*System.Math.PI).Edge();

OCAIS_Shape s1 = new OCAIS_Shape(Edge1);

context.Display(s1,true);

例2:两点形成线段

 OCgp_Pnt p1 = new OCgp_Pnt(94.743, 1, 0);

 OCgp_Pnt p2 = new OCgp_Pnt(94.743, 9, 0);

  OCGeom_TrimmedCurve c1 = new OCGC_MakeSegment(p1, p2).Value();

例3:生成获取一段椭圆弧

OCgp_Elips elips1 = new OCgp_Elips(--------);

Geom_TrimmedCurve c3 = new OCGC_MakeArcOfEllipse(elips1, p3, p2, true).Value();

 

posted @ 2011-12-13 10:45  folotus  阅读(2819)  评论(0编辑  收藏  举报